// -*-c++-*-

#ifndef BHV_DANGEROUS_H
#define BHV_DANGEROUS_H

#include <rcsc/geom/vector_2d.h>
#include <rcsc/player/soccer_action.h>

class Bhv_Dangerous : public rcsc::SoccerBehavior {
private:
  const rcsc::Vector2D M_home_pos;
  
public: 
  Bhv_Dangerous( const rcsc::Vector2D & home_pos )
    : M_home_pos( home_pos )
  { }
  bool execute( rcsc::PlayerAgent * agent ) ;
  
private:
  rcsc::PlayerObject * getMarkTarget( const rcsc::WorldModel & wm,
				   const rcsc::Vector2D & home_pos ) ;
};
#endif
